Subject: [magma] IGMPV3 Report scheduling

From: Princy Elizabeth <[email-masked]>
Date: Thu, 14 Dec 2006 00:59:55 -0800 (PST)

Hi,
   
  I had a question on the scheduling of reports by an IGMPV3 hosts. The RFC requires an IGMP host to retransmit its State Change Records for a group "robustness variable" number of times. In case of further state change occuring prior to all the retransmissions being complete, the state changes are merged and transmitted immediately. This terminates retransmission of the first state change record and becomes the first of "robustness variable" retransmissions for the combined state change record. However, I am not clear on what happens if a general query is received before the "robustness variable" retransmissions are complete? Which of the following happens:
   
  a) The timer for the state change record retransmission for the group is cancelled and all pending retransmissions for the state change record are also cancelled. Response to the general query is sent instead after a random interval between 0 to MRT?
   
  OR
   
  b) The timer for the state change record retransmission for the group cancelled but pending retransmissions for the state change record are not cancelled. Number of pending retransmissions for the state change record is decremented by 1. Response to the general query is sent after a random interval between 0 to MRT? If the number of pending retransmissions is not 0, the timer is restarted to resend the state change record after some random  between 0 to "unsolicited report interval"
   
  I think (a) is the correct approach but I'd be grateful if someone could confirm the same.
   
  Thanks and regards,
  Princy

 __________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma